## com.puppycrawl.tools.checkstyle.checks.coding
Class IllegalThrowsCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.coding.AbstractIllegalCheck
                      com.puppycrawl.tools.checkstyle.checks.coding.IllegalThrowsCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public final class IllegalThrowsCheck

extends AbstractIllegalCheck

Throwing java.lang.Error or java.lang.RuntimeException is almost never acceptable.

Author:
  Oliver Burn

Constructor Summary
`IllegalThrowsCheck()` Creates new instance of the check.

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`int[]` `getRequiredTokens()` The tokens that this check must be registered for.
`void` `setIgnoredMethodNames(String[] aMethodNames)` Set the list of ignore method names.
`void` `visitToken(DetailAST aDetailAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.coding.AbstractIllegalCheck
`isIllegalClassName, setIllegalClassNames`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IllegalThrowsCheck

    public IllegalThrowsCheck()

  Creates new instance of the check.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### getRequiredTokens

    public int[] getRequiredTokens()

  Description copied from class: `Check`
  The tokens that this check must be registered for.

  Overrides:
    `getRequiredTokens` in class `Check`
  Returns:
    the token set this must be registered for.
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aDetailAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aDetailAST` - the token to process

### setIgnoredMethodNames

    public void setIgnoredMethodNames(String[] aMethodNames)

  Set the list of ignore method names.

  Parameters:
    `aMethodNames` - array of ignored method names

Copyright © 2001-2011. All Rights Reserved.